CC-3791: Media Monitor crash when there are media files with non-ascii name in watched folder

-fix utf-8 check
This commit is contained in:
Martin Konecny 2012-05-14 19:53:07 -04:00
parent c397a6f797
commit cadf0acac7
2 changed files with 3 additions and 3 deletions

View File

@ -1,4 +1,4 @@
#!/bin/bash -e
#!/bin/bash
# Location of pypo_cli.py Python script
@ -18,7 +18,7 @@ set +e
cat /etc/default/locale | grep -i "LANG=.*UTF-\?8"
set -e
if [ "$?" != "0" ]; then
echo "non UTF-8 default locale found in /etc/default/locale." > /var/log/airtime/pypo/error.log
echo "non UTF-8 default locale found in /etc/default/locale." > /var/log/airtime/media-monitor/error.log
exit 1
fi

View File

@ -1,4 +1,4 @@
#!/bin/bash -e
#!/bin/bash
virtualenv_bin="/usr/lib/airtime/airtime_virtualenv/bin/"
. ${virtualenv_bin}activate